Page MenuHomePhabricator

Consider deprecating Project:Support_desk in favor of Wikimedia Developer Support
Closed, InvalidPublic

Description

While a timeline is being defined for T180853: Bring a discourse instance for technical questions to production , we should consider the deprecation of https://www.mediawiki.org/wiki/Project:Support_desk in favor of https://discourse-mediawiki.wmflabs.org/

In order for this to happen, a plan agreed with the current maintainers of the Support Desk must be in place. This plan could include a transition, a freeze (leave pages not-editable, a possibility to come back if anything goes wrong...

Reasoning: The goal of https://discourse-mediawiki.wmflabs.org/ is to offer a central place for developer support and, in fact, technical support in general for Wikimedia and MediaWiki users. From all the channels where technical support is currently offered, Support Desk is the only one completely dedicated to developer support. The other ones are channels used for other purposes that also happen to offer technical support.

Event Timeline

Qgil triaged this task as Low priority.Dec 27 2018, 4:08 PM
Qgil created this task.

Note that https://www.mediawiki.org/wiki/Project:Support_desk is not only developer support.
Some postings are not developer questions but administration questions, so this target group also needs a place to get their questions answered.

@CCicalese_WMF was interested in increasing the scope of Wikimedia Developer Support to sysadmins (and we started discussing somewhere that the name of the site could rely on Technical Support and not just Developer Support). From a collaboration point of view, it makes sense to increase the scope to make it equivalent to the scope of mediawiki.org, just like the Support Desk today. The more the merrier, and Discourse offers fine grained notification settings for everyone's preferences.

Isarra added a subscriber: Isarra.Dec 27 2018, 10:50 PM

I'm not sure discourse is really appropriate for developer support. As developers we already have so many channels to track (the wiki, phab, github, IRC, direct contacting about the things we maintain), and just picking one of those when we need to go to other developers can be hard enough even when we actually know what thing they're using primarily.

Maybe I'm just completely misrecalling, but wasn't the discourse supposed to explicitly be for the folks outside those channels from the start, ie not developers?

Bawolff added a comment.EditedDec 27 2018, 11:03 PM

Sorry for being negative, but...

I'm not a fan of replacing Project:Support_desk with discourse. While I appreciate that Flow is problematic for this usecase, I still think there is value to having a highly integrated support forum for support (Which personally I consider very different from developer questions albeit with some overlap).

I would also note that Support_desk seems much more popular - there's probably about the same activity on Project:Support_desk in the last 24 hours, as the test discourse instance has had in the last 3 months. While its hard to make a fair comparison due to different levels of advertisement, its still a startling difference in activity level.

Tgr added a comment.Dec 28 2018, 3:27 AM

As developers we already have so many channels to track (the wiki, phab, github, IRC, direct contacting about the things we maintain), and just picking one of those when we need to go to other developers can be hard enough even when we actually know what thing they're using primarily.

That's exactly why we should deprecate duplicate channels instead of increasing fragmentation. Some of those have different purposes (IRC is for quick real-time answers and social chat; phab is for bug reports) but the support desk has basically identical goals and audience (support users and developers, mainly beginner-ish people, with problems that are probably not bugs in the software), and Discourse seems much better suited to it.

That said I think the discussion about deprecation is a bit premature, given that Discourse is operating on a way smaller scale currently. We should invite volunteers who are active in user/developer support on other channels to try Discourse, advertise it prominently to people with questions, then gather feedback after a month or two.

Maybe I'm just completely misrecalling, but wasn't the discourse supposed to explicitly be for the folks outside those channels from the start, ie not developers?

You might be thinking of the other Discourse instance. This one was for developer support from the start, then the scope was broadened into Wikimedia-related tech support in general.

I'm not a fan of replacing Project:Support_desk with discourse. While I appreciate that Flow is problematic for this usecase, I still think there is value to having a highly integrated support forum for support (Which personally I consider very different from developer questions albeit with some overlap).

Easy linking is certainly valuable; maybe we should look into replicating that somehow. What is the value other than that? Notifications? It's integrated into mediawiki.org but most new developers don't use mediawiki.org so I'm not sure how much difference that makes. Asking about wikitext syntax might be easier in wikitext, but that's not typically something people ask about at the support desk. Or do you mean there is value for the people who answer?
(Re: support vs. developers, see link above.)

I would also note that Support_desk seems much more popular - there's probably about the same activity on Project:Support_desk in the last 24 hours, as the test discourse instance has had in the last 3 months. While its hard to make a fair comparison due to different levels of advertisement, its still a startling difference in activity level.

I don't entirely disagree, but a lot of that is due to level of awareness (and habits). Discourse traffic was a lot higher after the initial announcement:


The support desk had about a thousand edits/actions in the last month and Discourse had 250-300 posts per month in the first two months so the difference was not that stark. (And questions still tend to be answered quickly, there just aren't many of them now.)

Qgil renamed this task from Deprecate Project:Support_desk in favor of Wikimedia Developer Support to Consider deprecating Project:Support_desk in favor of Wikimedia Developer Support.Dec 28 2018, 8:06 AM
Qgil updated the task description. (Show Details)
Qgil added a comment.Dec 28 2018, 8:24 AM

I have softened the description of this task.

I agree that Discourse must prove itself over other channels, and that requires advertising it where people with technical questions go, to give them a chance to try it. I also agree that we need time and good discussion before deprecating any existing channel. Those discussions have to start, and one year after the creation of the Discourse pilot is a good milestone.

Let's not forget the goal of technical support: providing answers to the people with questions, hopefully even before they have to ask. Despite the excellent work done by the contributors to the Support Desk, this channel is technically inferior to Discourse in so many ways relevant to the people with questions: search, categories & tags, fine grained notifications, embedding images with a copy&paste... https://www.mediawiki.org/wiki/Discourse#Why_Discourse already mentions a lot of this. I am thinking of updating that section and adding a table for direct feature comparison between Discourse, Support Desk, MediaWiki.org Talk pages and mailing lists.

From a collaboration point of view, it makes sense to increase the scope to make it equivalent to the scope of mediawiki.org, just like the Support Desk today.

Does that mean you have different channels (on the same Discourse instance) in mind for differences audiences? How are those audiences defined for the start?
Asking as editor/author questions are unrelated to developer or sysadmin questions and to me it's not clear what is proposed wrt handling different audiences.

Qgil added a comment.Dec 28 2018, 3:44 PM

To be discussed, and we can adapt the Discourse structure as we agree to add audiences. For instance, https://www.mediawiki.org/wiki/MediaWiki currently mentions

  • Using MediaWiki
  • System Administration
  • Developing and Extending

These could be three categories in the Discourse forum.

For reference: I love the support desk and don't use discourse. I find the notification system on MW.o to work wonderfully. I can ignore it when I need to and, when I'm ready to get engaged, I find it easy to use the Flow's notifications.

The cross-wiki notifications are the reason that I ended up on the support desk today. I was fixing some vandalism and saw notifications on the support desk (one of which led here).

Let's not forget the goal of technical support: providing answers to the people with questions, hopefully even before they have to ask.

Agreed. It seems like a lot of questions could be addressed "before they have to ask" them. That said, this is exactly what MediaWiki excels at: documentation.

Instead of deciding that the current tool is not worth it and switching to a new one, we should improve the workflow of updating pages from Flow so that questions could easily be put into the FAQ or added to an already existing page on the wiki where the discussions are taking place.

Despite the excellent work done by the contributors to the Support Desk, this channel is technically inferior to Discourse in so many ways relevant to the people with questions: search, categories & tags, fine grained notifications, embedding images with a copy&paste...

I don't understand all these (what is meant by "fine-grained notifications"?) but MediaWiki already has search and categories/tags and VE supports embedding images so these really seem like bugs in Flow/Structured Discussions that should be fixed.

I am thinking of updating that section and adding a table for direct feature comparison between Discourse, Support Desk, MediaWiki.org Talk pages and mailing lists.

I, for one, would appreciate that.

AhmadF.Cheema added a subscriber: AhmadF.Cheema.EditedDec 28 2018, 7:41 PM

The first question to agree upon is whether there should be a central support platform for all developer/admin related questions. Probably. There are presently too many different places to end up asking the same question and not getting a reply. A hundred volunteers on one platform is likely to be better and more efficient than the same hundred volunteers divided on ten separated individual platforms.

The second question is what web application should run that central support platform?

Discourse is definitely one of the most versatile, and feature-rich option. Being a popular platform, more and more users over the web are going to become comfortable with it. Different "categories" can be allocated for admin related and developer related questions. Two areas where it will definitely be greatly efficient is for image sharing and canned replies, for those common off-topic queries, or telling the user to "set $wgShowExceptionDetails = true; at the end of LocalSettings.php."

However, as a contributor at Support Desk, I personally will find it difficult to continue with a discourse-like website layout. Presently, on the Support Desk, I can peruse all the questions, all the answers, and comments without having to click a single time. In less than a minute, I am able to see all of the questions I can answer and the ones I can't.

Discourse, however, as far as I know, shows only the topic headings on the landing/category page. Under this layout, I will have to click the first topic... wait for the new page to load... read the question and replies... go back to the category page... again wait for the page to load - and then rinse and repeat for each and every topic. Or I will have to open all the updated topics in new tabs and then go through all the new tabs one by one. I highly doubt that I will bother to go through the trouble, especially when I know I'm unable to answer a number of questions, even with the potential gratification of receiving "badges"📛.

If this layout issue can be resolved, maybe then the benefits of Discourse may outweigh the reluctance of giving up Support Desk.

Qgil added a comment.Jan 8 2019, 1:24 PM

I have been thinking about this task and I am going to close it as Invalid. Sorry, based on previous discussions I thought that this was the best approach and I wasn't expecting these first reactions. Nobody is interested in picking a fight between Discourse and other channels, even less picking a fight those of you who are doing so much work supporting our technical users, sysadmins and developers.

The need for integration of channels still exists, especially for the newcomers having to find and choose the right channel for whatever questions they have. I guess we all agree that in an ideal world people with questions would gust go to one place, ask, and then the rest would be organized so that they get the answers they need.

In the past days I have been investigating the integration of Discourse with the mailing list case. It is a better place to start than the Support Desk because Discourse can mirror and even substitute Mailman without changing the user experience of email-based users -- while bringing a lot of improvements to those willing to get the benefits of the additional web based workflows (tagging, searching across lists, moving posts from one "list" to another, and so forth).

If you are interested, see https://discourse-mediawiki.wmflabs.org/c/mailing-list-mirrors/mediawiki-l and https://discourse-mediawiki.wmflabs.org/c/mailing-list-simulator

Qgil closed this task as Invalid.Jan 8 2019, 1:24 PM